For the complete documentation index, see llms.txt. This page is also available as Markdown.

Devices

List

get
/devices

Get a list of devices of a given team.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Query parameters
teamIdintegerRequiredExample: 1
assignedbooleanOptional

true = devices with scenarioId; false = devices without scenarioId - this filter only affects the trigger scope

Example: true
viewForScenarioIdintegerOptional

Devices assigned to the scenario and not assigned devices. If this parameter is set assigned parameter is ignored.

Example: 4
Responses
200

Successful response

application/json
get/devices
200

Successful response

Detail

get
/devices/{deviceId}

The ID can be id or udid.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
deviceIdintegerRequired
Query parameters
inspectorintegerOptionalExample: 1
Responses
200

Successful response

application/json
get/devices/{deviceId}
200

Successful response

Delete

delete
/devices/{deviceId}

Errors: IM004 - Confirmation required (error with metadata) - needs confirmation IM405 - Device can't be deleted because it contains messages in queue (error with metadata) - needs confirmation IM005 - Device is locked by a running scenario and thus can't be deleted

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
deviceIdstringRequiredExample: 2
Query parameters
confirmedbooleanOptionalExample: true
Responses
200

Successful response

application/json
deviceintegerOptional
delete/devices/{deviceId}
200

Successful response

Partial update

patch
/devices/{deviceId}

Update a device

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
deviceIdstringRequired
Query parameters
Body
objectOptional
Responses
200

Successful response

application/json
patch/devices/{deviceId}
200

Successful response

Create request

post
/devices/request

Required scope: devices:write

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Query parameters
inspectorintegerOptionalExample: 1
Body
namestringOptional
teamIdintegerOptional
Responses
200

Successful response

application/json
post/devices/request
200

Successful response

Last updated